#ifndef __LIBMONETRA_COMPAT_H__
#define __LIBMONETRA_COMPAT_H__

#define MCVE_uint64 M_uint64
#define MCVE_int64 M_int64

#define MCVE_UNUSED M_UNUSED
#define MCVE_NEW M_NEW
#define MCVE_PENDING M_PENDING
#define MCVE_DONE M_DONE

#define MCVE_ERROR M_ERROR
#define MCVE_FAIL M_FAIL
#define MCVE_SUCCESS M_SUCCESS
#define MCVE_AUTH M_AUTH
#define MCVE_DENY M_DENY
#define MCVE_CALL M_CALL
#define MCVE_DUPL M_DUPL
#define MCVE_PKUP M_PKUP
#define MCVE_RETRY M_RETRY
#define MCVE_SETUP M_SETUP
#define MCVE_TIMEOUT M_TIMEOUT

#define MCVE_GOOD M_GOOD
#define MCVE_BAD M_BAD
#define MCVE_STREET M_STREET
#define MCVE_ZIP M_ZIP
#define MCVE_UNKNOWN M_UNKNOWN

#define MCVE_CONN M_CONN

#define MCVE_InitEngine(a) M_InitEngine(a)
#define MCVE_DestroyEngine M_DestroyEngine
#define MCVE_InitConn(a) M_InitConn(a)
#define MCVE_SetBlocking(a,b) M_SetBlocking(a,b)
#define MCVE_SetTimeout(a,b) M_SetTimeout(a,b)
#define MCVE_SetDropFile(a,b) M_SetDropFile(a,b)
#define MCVE_SetIP(a,b,c) M_SetIP(a,b,c)
#define MCVE_SetSSL(a,b,c) M_SetSSL(a,b,c)
#define MCVE_SetSSL_Files(a,b,c) M_SetSSL_Files(a,b,c)
#define MCVE_SetSSL_CAfile(a,b) M_SetSSL_CAfile(a,b)
#define MCVE_VerifyConnection(a,b) M_VerifyConnection(a,b)
#define MCVE_VerifySSLCert(a,b) M_VerifySSLCert(a,b)
#define MCVE_Connect(a) M_Connect(a)
#define MCVE_MaxConnTimeout(a,b) M_MaxConnTimeout(a,b)
#define MCVE_ConnectionError(a) M_ConnectionError(a)
#define MCVE_DestroyConn(a) M_DestroyConn(a)
#define MCVE_Monitor(a) M_Monitor(a)
#define MCVE_TransactionsSent(a) M_TransactionsSent(a)
#define MCVE_Ping(a) M_Ping(a)
#define MCVE_DeleteResponse(a, b) M_DeleteTrans(a, b)
#define MCVE_DeleteTrans(a,b) M_DeleteTrans(a,b)
#define MCVE_TransNew(a) M_TransNew(a)
#define MCVE_TransParam M_TransParam
#define MCVE_TransSend(a,b) M_TransSend(a,b)
#define MCVE_ResponseParam(a,b,c) M_ResponseParam(a,b,c)
#define MCVE_ResponseKeys(a,b,c) M_ResponseKeys(a,b,c)
#define MCVE_FreeResponseKeys(a,b) M_FreeResponseKeys(a,b)

#define MCVE_Sale M_Sale
#define MCVE_PreAuth M_PreAuth
#define MCVE_Void M_Void
#define MCVE_PreAuthCompletion M_PreAuthCompletion
#define MCVE_Force M_Force
#define MCVE_Return M_Return
#define MCVE_Override M_Override
#define MCVE_Settle M_Settle

#define MCVE_ReturnStatus(a,b) M_ReturnStatus(a,b)
#define MCVE_ReturnCode(a,b) M_ReturnCode(a,b)
#define MCVE_TransactionItem(a,b) M_TransactionItem(a,b)
#define MCVE_TransactionBatch(a,b) M_TransactionBatch(a,b)
#define MCVE_TransactionID(a,b) M_TransactionID(a,b)
#define MCVE_TransactionAuth(a,b) M_TransactionAuth(a,b)
#define MCVE_TransactionText(a,b) M_TransactionText(a,b)
#define MCVE_TransactionAVS(a,b) M_TransactionAVS(a,b)
#define MCVE_TransactionCV(a,b) M_TransactionCV(a,b)
#define MCVE_TransInQueue(a) M_TransInQueue(a)
#define MCVE_CheckStatus(a,b) M_CheckStatus(a,b)
#define MCVE_CompleteAuthorizations(a,b) M_CompleteAuthorizations(a,b)
#define MCVE_Gut M_Gut
#define MCVE_Gl M_Gl
#define MCVE_Gft M_Gft
#define MCVE_Rs M_Rs
#define MCVE_Qc M_Qc
#define MCVE_Chkpwd M_Chkpwd
#define MCVE_Bt M_Bt
#define MCVE_Ub(a,b,c) M_Bt(a,b,c)



#define MCVE_Chngpwd M_Chngpwd
#define MCVE_ListUsers M_ListUsers
#define MCVE_EnableUser M_EnableUser
#define MCVE_DisableUser M_DisableUser
#define MCVE_GetUserInfo M_GetUserInfo
#define MCVE_DelUser M_DelUser
#define MCVE_ListStats M_ListStats
#define MCVE_Export M_Export
#define MCVE_Import M_Import
#define MCVE_GetUserParam M_GetUserParam

#define MCVE_IsCommaDelimited(a,b) M_IsCommaDelimited(a,b)
#define MCVE_ParseCommaDelimited(a,b) M_ParseCommaDelimited(a,b)
#define MCVE_GetCommaDelimited(a,b) M_GetCommaDelimited(a,b)
#define MCVE_GetCell(a,b,c,d) M_GetCell(a,b,c,d)
#define MCVE_GetCellByNum(a,b,c,d) M_GetCellByNum(a,b,c,d)
#define MCVE_NumColumns(a,b) M_NumColumns(a,b)
#define MCVE_NumRows(a,b) M_NumRows(a,b)
#define MCVE_GetHeader(a,b,c) M_GetHeader(a,b,c)


#define MCVE_SALE MC_TRAN_SALE
#define MCVE_PREAUTH MC_TRAN_PREAUTH
#define MCVE_FORCE MC_TRAN_FORCE
#define MCVE_OVERRIDE MC_TRAN_OVERRIDE
#define MCVE_RETURN MC_TRAN_RETURN
#define MCVE_VOID MC_TRAN_VOID
#define MCVE_SETTLE MC_TRAN_SETTLE
#define MCVE_PROC MC_USER_PROC
#define MCVE_USER MC_USER_USER
#define MCVE_PWD MC_USER_PWD
#define MCVE_INDCODE MC_USER_INDCODE
#define MCVE_MERCHID MC_USER_MERCHID
#define MCVE_BANKID MC_USER_BANKID
#define MCVE_TERMID MC_USER_TERMID
#define MCVE_CLIENTNUM MC_USER_CLIENTNUM
#define MCVE_STOREID MC_USER_STOREID
#define MCVE_AGENTID MC_USER_AGENTID
#define MCVE_CHAINID MC_USER_CHAINID
#define MCVE_ZIPCODE MC_USER_ZIPCODE
#define MCVE_TIMEZONE MC_USER_TIMEZONE
#define MCVE_MERCHCAT MC_USER_MERCHCAT
#define MCVE_MERNAME MC_USER_MERNAME
#define MCVE_MERCHLOC MC_USER_MERCHLOC
#define MCVE_STATECODE MC_USER_STATECODE
#define MCVE_SERVICEPHONE MC_USER_PHONE

#define MCVE_UserSetup M_UserSetup

#define MCVE_AddUser M_AddUser
#define MCVE_EditUser M_EditUser
#define MCVE_InitUserSetup M_InitUserSetup
#define MCVE_DeleteUserSetup M_DeleteUserSetup
#define MCVE_GetUserArg M_GetUserArg
#define MCVE_AddUserArg M_AddUserArg
#define MCVE_uwait(a) M_uwait(a)
#define MCVE_TEXT_Code(a) M_TEXT_Code(a)
#define MCVE_TEXT_AVS(a) M_TEXT_AVS(a)
#define MCVE_TEXT_CV(a) M_TEXT_CV(a)

#endif
